tbb::interface6::memory_pool< Alloc > Class Template Reference

Thread-safe growable pool allocator for variable-size requests. More...

`#include <memory_pool.h>`

Inheritance diagram for tbb::interface6::memory_pool< Alloc >:

## Public Member Functions

| memory_pool (const Alloc &src=Alloc())
| construct pool with underlying allocator
| ~memory_pool ()
| destroy pool

## Detailed Description

### template<typename Alloc>
class tbb::interface6::memory_pool< Alloc >

Thread-safe growable pool allocator for variable-size requests.

The documentation for this class was generated from the following file:

- memory_pool.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.